> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Public Profile



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json get /v1/creators/public/{handle}
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/creators/public/{handle}:
    get:
      tags:
        - creators
        - creators
      summary: Get Public Profile
      operationId: get_public_profile_v1_creators_public__handle__get
      parameters:
        - name: handle
          in: path
          required: true
          schema:
            type: string
            title: Handle
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KolPublicProfile'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KolPublicProfile:
      properties:
        handle:
          type: string
          title: Handle
        name:
          type: string
          title: Name
        bio:
          type: string
          title: Bio
          default: ''
        twitter:
          type: string
          title: Twitter
          default: ''
        enrolled_vaults:
          items:
            type: string
          type: array
          title: Enrolled Vaults
          default: []
        created_at:
          type: string
          title: Created At
          default: ''
        founding_creator:
          type: boolean
          title: Founding Creator
          default: false
      type: object
      required:
        - handle
        - name
      title: KolPublicProfile
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````